summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAntonio Radici <antonio@dyne.org>2010-12-08 01:34:22 +0000
committerAntonio Radici <antonio@dyne.org>2010-12-08 01:34:34 +0000
commit159ddef6bee32aba0542174bc22d0cd491f3ed77 (patch)
tree59293bc6e79638b027d5c89141dff1d4ca7100c0
parent47852471fd9d05f14dfeec9781a8a1ab43ffa59e (diff)
Drop preinst and thus dependency on dbutil-4.7. (Closes: #594451)
-rw-r--r--debian/changelog10
-rw-r--r--debian/control2
-rw-r--r--debian/preinst50
3 files changed, 8 insertions, 54 deletions
diff --git a/debian/changelog b/debian/changelog
index f1e517f..c302a65 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+postgrey (1.32-5squeeze1) testing-proposed-updates; urgency=low
+
+ * Drop preinst and thus dependency on dbutil-4.7. (Closes: #594451)
+ + patch provided by Stefano Rivera (stefano@rivera.za.net), thanks!
+
+ -- Antonio Radici <antonio@dyne.org> Wed, 08 Dec 2010 01:23:48 +0000
+
postgrey (1.32-5) unstable; urgency=low
[ Antonio Radici ]
@@ -16,9 +23,6 @@ postgrey (1.32-5) unstable; urgency=low
- Norwegian Bokmål (Bjørn Steensrud). Closes: #576028
- Vietnamese (Clytie Siddall). Closes: #576123
- [ Antonio Radici ]
- *
-
-- Antonio Radici <antonio@dyne.org> Wed, 07 Apr 2010 22:25:23 +0100
postgrey (1.32-4) unstable; urgency=low
diff --git a/debian/control b/debian/control
index fb64312..dda2795 100644
--- a/debian/control
+++ b/debian/control
@@ -14,7 +14,7 @@ DM-Upload-Allowed: yes
Package: postgrey
Architecture: all
Depends: adduser, debconf, libberkeleydb-perl (>= 0.39-1), libnet-dns-perl,
- libnet-server-perl (>= 0.87), perl, ucf (>= 0.28), db4.7-util, ${misc:Depends}
+ libnet-server-perl (>= 0.87), perl, ucf (>= 0.28), ${misc:Depends}
Conflicts: libsys-syslog-perl (<< 0.21)
Recommends: libdigest-sha1-perl, libnet-rblclient-perl, libparse-syslog-perl,
postfix | exim4
diff --git a/debian/preinst b/debian/preinst
deleted file mode 100644
index 4541e0e..0000000
--- a/debian/preinst
+++ /dev/null
@@ -1,50 +0,0 @@
-#!/bin/sh
-
-set -e
-
-# summary of how this script can be called:
-# * <new-preinst> `install'
-# * <new-preinst> `install' <old-version>
-# * <new-preinst> `upgrade' <old-version>
-# * <old-preinst> `abort-upgrade' <new-version>
-# for details, see http://www.debian.org/doc/debian-policy/ or
-# the debian-policy package
-
-
-case "$1" in
- install)
- ;;
-
- upgrade)
- set +e
- OLDVERSION=$2
- DBDIR=/var/lib/postgrey
- dpkg --compare-versions "$OLDVERSION" lt "1.32-1"
- if [ "$?" -eq "0" ]; then
- set -e
- if [ -d $DBDIR -a -f /usr/bin/db4.7_upgrade ]; then
- if [ -f "$DBDIR/postgrey.db" ]; then
- db4.7_upgrade -h $DBDIR postgrey.db
- fi
- if [ -f "$DBDIR/postgrey_clients.db" ]; then
- db4.7_upgrade -h $DBDIR postgrey_clients.db
- fi
- fi
- fi
- ;;
-
- abort-upgrade)
- ;;
-
- *)
- echo "preinst called with unknown argument \`$1'" >&2
- exit 1
- ;;
-esac
-
-# dh_installdeb will replace this with shell code automatically
-# generated by other debhelper scripts.
-
-#DEBHELPER#
-
-exit 0